List account users
curl --request GET \
--url https://api.juicer.io/v1/users \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.juicer.io/v1/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.juicer.io/v1/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"email": "jsmith@example.com",
"invitation_accepted": true,
"invitation_pending": true,
"feed_ids": [
123
],
"created_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"page": 123,
"per_page": 123,
"total_count": 123,
"total_pages": 123
}
}{
"error": {
"code": "feed_limit_reached",
"message": "Your Free plan allows 1 feed(s). Upgrade to create more.",
"details": {
"name": [
"can't be blank"
]
},
"action": {
"type": "upgrade_plan",
"current_plan": "small",
"current_plan_display_name": "Free",
"required_plan": "large",
"required_plan_display_name": "Pro",
"upgrade_url": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}
}{
"error": {
"code": "feed_limit_reached",
"message": "Your Free plan allows 1 feed(s). Upgrade to create more.",
"details": {
"name": [
"can't be blank"
]
},
"action": {
"type": "upgrade_plan",
"current_plan": "small",
"current_plan_display_name": "Free",
"required_plan": "large",
"required_plan_display_name": "Pro",
"upgrade_url": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}
}Users
List account users
Returns managers and collaborators on the current account plus any users with pending admin invitations. Requires an API key belonging to an account owner or manager.
GET
/
users
List account users
Authorizations
API key prefixed with jcr_. To obtain a key programmatically
(no dashboard required), see POST /v1/authorize.
⌘I